Skip to main content
GET
/
v1
/
wallets
/
{wallet_id}
/
balance
Get balance
curl --request GET \
  --url https://api.privy.io/v1/wallets/{wallet_id}/balance \
  --header 'Authorization: Basic <encoded-value>' \
  --header 'privy-app-id: <privy-app-id>'
{
  "balances": [
    {
      "chain": "base",
      "asset": "eth",
      "raw_value": "1000000000000000000",
      "raw_value_decimals": 18,
      "display_values": {
        "eth": "0.001",
        "usd": "2.56"
      }
    }
  ]
}

Documentation Index

Fetch the complete documentation index at: https://docs.privy.io/llms.txt

Use this file to discover all available pages before exploring further.

SDK methods

Learn more about fetching wallet balances using our SDKs here.

Authorizations

Authorization
string
header
required

Basic Auth header with your app ID as the username and your app secret as the password.

Headers

privy-app-id
string
required

ID of your Privy app.

Path Parameters

wallet_id
string
required

ID of the wallet.

Query Parameters

asset

Named asset(s) to query (e.g. eth, usdc). Use together with chain to scope the query. Cannot be used with token.

Available options:
usdc,
usdc.e,
eth,
pol,
usdt,
eurc,
usdb
chain

Chain(s) to query named assets on (e.g. base, ethereum). Use together with asset. Cannot be used with token.

Available options:
ethereum,
arbitrum,
base,
tempo,
linea,
optimism,
polygon,
solana,
zksync_era,
sepolia,
arbitrum_sepolia,
base_sepolia,
linea_testnet,
optimism_sepolia,
polygon_amoy,
solana_devnet,
solana_testnet
include_currency
enum<string>

If set, balances are converted to the specified fiat currency. Not supported when token is provided.

Available options:
usd,
eur
token

The token contract address(es) to query in format "chain:address" (e.g., "base:0x833589fCD6eDb6E08f4c7C32D4f71b54bdA02913" or "solana:EPjFWdd5AufqSSqeM2qN1xzybapC8G4wEGGkZwyTDt1v"). Cannot be used together with asset/chain or with include_currency.

Response

200 - application/json

Latest wallet balance.

balances
object[]
required